package com.sooka.sponest.data.attach.service.impl;

import com.sooka.sponest.data.attach.domain.CenterdataTAttach;
import com.sooka.sponest.data.attach.mapper.CenterdataTAttachMapper;
import com.sooka.sponest.data.attach.service.ICenterdataTAttachService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 附件Service业务层处理
 *
 * @author ruoyi
 * @date 2022-06-11
 */
@Service
public class CenterdataTAttachServiceImpl implements ICenterdataTAttachService {

    @Autowired
    private CenterdataTAttachMapper centerdataTAttachMapper;

    /**
     * 新增附件
     *
     * @param centerdataTAttach 附件
     * @return 结果
     */
    @Override
    public int insertCenterdataTAttach(CenterdataTAttach centerdataTAttach) {
        /*
         *ImageUpload返回是全路径，数据库保存不要ip和端口号
         */
        if (centerdataTAttach.getAttachPath().startsWith("http")) {
            String attachPath = centerdataTAttach.getAttachPath();
            if (centerdataTAttach.getAttachPath().contains("Download")) {
                int i1 = attachPath.indexOf("group=");
                attachPath = attachPath.replace("&&path=", "/");
                attachPath = attachPath.substring(i1 + 6);
                centerdataTAttach.setAttachPath(attachPath);
            } else {
                int i1 = attachPath.indexOf('/');
                int i2 = attachPath.indexOf('/', i1 + 1);
                int i3 = attachPath.indexOf('/', i2 + 1);
                centerdataTAttach.setAttachPath(centerdataTAttach.getAttachPath().substring(i3 + 1, attachPath.length()));
            }
        }
        return centerdataTAttachMapper.insertCenterdataTAttach(centerdataTAttach);
    }
}
