package com.sooka.sponest.monitor.camera.service.impl;

import com.ruoyi.common.core.domain.R;
import com.sooka.sponest.monitor.base.service.impl.BaseService;
import com.sooka.sponest.monitor.camera.domain.CentermonitorTCamera;
import com.sooka.sponest.monitor.camera.domain.CentermonitorTCameraImg;
import com.sooka.sponest.monitor.camera.mapper.CentermonitorTCameraMapper;
import com.sooka.sponest.monitor.camera.service.ICentermonitorTCameraService;
import com.sooka.sponest.monitor.remoteapi.service.system.RemoteService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * 摄像头Service业务层处理
 *
 * @author ruoyi
 * @date 2022-06-08
 */
@Service
public class CentermonitorTCameraServiceImpl extends BaseService implements ICentermonitorTCameraService {

    @Resource
    private CentermonitorTCameraMapper centermonitorTCameraMapper;

    @Resource
    private RemoteService remoteService;

    /**
     * 查询摄像头
     *
     * @param id 摄像头主键
     * @return 摄像头
     */
    @Override
    public CentermonitorTCamera selectCentermonitorTCameraById(String id) {
        /*图片前缀**/
        List<String> imgList = new ArrayList<>();
        R<String> url = remoteService.selectConfigKey_fileUrl();
        CentermonitorTCamera camera = centermonitorTCameraMapper.selectCentermonitorTCameraById(id);
        camera.setList(centermonitorTCameraMapper.SelectByIdcreameType(id));
        ArrayList<CentermonitorTCameraImg> cameraImg = centermonitorTCameraMapper.selectCentermonitorTCameraImgByCameraId(id);
        for (CentermonitorTCameraImg img : cameraImg) {
            String imgPath = img.getCameraImg();
            if (imgPath != null && !imgPath.isEmpty()) {
                img.setCameraImg(url.getData() + imgPath);
                imgList.add(url.getData() + imgPath);
            }
        }
        camera.setCameraImagesList(imgList);
        return camera;
    }

}


