package com.sooka.sponest.monitor.dahua.controller;

import com.ruoyi.common.core.utils.StringUtils;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.log.annotation.Log;
import com.ruoyi.common.log.enums.BusinessType;
import com.sooka.sponest.event.download.service.ICentereventTDownloadsService;
import com.sooka.sponest.monitor.dahua.domain.PlayBackProperties;
import com.sooka.sponest.monitor.dahua.service.DahuaService;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import static org.springframework.web.bind.annotation.RequestMethod.POST;

@Api(tags = "大华控制器")
@RestController
@RequestMapping("DahuaController")
@Slf4j
public class DahuaController {

    @Autowired
    private DahuaService dahuaService;

    @Autowired
    private ICentereventTDownloadsService downloadsService;

    /**
     * 摄像头获取回放
     *
     * @return
     */
    @Log(title = "大华", businessType = BusinessType.OTHER)
    @RequestMapping(value = "/getPlaybackByTime", method = POST)
    public AjaxResult getPlaybackByTime(@RequestBody Map<String, Object> params) {
        List<PlayBackProperties> list = downloadsService.downloadsCommon(params);
        return dahuaService.getPlaybackByTime(list);
    }

    /**
     * 事件视频下载
     *
     * @param id
     * @return
     */
    @Log(title = "事件视频下载", businessType = BusinessType.OTHER)
    @GetMapping("/eventhandleDownload/{id}")
    public AjaxResult eventhandleDownload(@PathVariable("id") String id) {
        Map<String, Object> params = new HashMap<>();
        params.put("id", id);
        List<PlayBackProperties> list = downloadsService.downloadsCommon(params);
        // 校验 已下载不让重复下载
        if (StringUtils.isEmpty(list)) {
            return AjaxResult.error("已下载的视频，不能重复下载!");
        } else {
            return dahuaService.getPlaybackByTime(list);
        }
    }
}
