package com.sooka.sponest.monitor.remoteapi.fallback.system;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.system.api.domain.SysDept;
import com.ruoyi.system.api.factory.RemoteUserFallbackFactory;
import com.sooka.sponest.monitor.remoteapi.service.system.RemoteService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @program: ruoyi
 * @description: yy
 * @author: yy
 * @create: 2022-06-16 11:05
 **/
@Component
public class RemoteSystemBaseServiceFallbackFactory implements FallbackFactory<RemoteService> {

    private static final Logger log = LoggerFactory.getLogger(RemoteUserFallbackFactory.class);

    @Override
    public RemoteService create(Throwable cause) {
        log.error("消息中心-服务调用失败:{}", cause.getMessage());

        return new RemoteService() {

            /**
             * 根据用户名查询dept_id, parent_id, ancestors, dept_name
             */
            @Override
            public R<SysDept> findDeptIdByUserName(String userName) {
                return null;
            }

            /**
             * 获取参数配置_文件地址
             */
            @Override
            public R<String> selectConfigKey_fileUrl() {
                return null;
            }

        };
    }
}
