package com.sooka.sponest.monitor.remoteapi.service.system;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.system.api.domain.SysDept;
import com.sooka.sponest.monitor.remoteapi.fallback.system.RemoteSystemBaseServiceFallbackFactory;
import com.sooka.sponest.monitor.remoteapi.service.ModulesServiceNameContants;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

@FeignClient(contextId = "remoteService", fallbackFactory = RemoteSystemBaseServiceFallbackFactory.class,value = ModulesServiceNameContants.SYSTEM_SERVICE)
public interface RemoteService {

    /**
     * 根据用户名查询dept_id, parent_id, ancestors, dept_name
     */
    @GetMapping(value = "/dept/findDeptIdByUserName/{userName}")
    R<SysDept> findDeptIdByUserName(@PathVariable("userName") String userName);

    /**
     * 获取参数配置_文件地址
     */
    @GetMapping("/config/selectConfigKey/fileUrl")
    public R<String> selectConfigKey_fileUrl();

}
